Package org.eclipse.cdt.core.dom.ast

# Interface IASTParameterDeclaration

All Superinterfaces:
  `IASTNode`

All Known Subinterfaces:
  `ICPPASTParameterDeclaration`

public interface IASTParameterDeclaration extends IASTNode
This class represents a parameter declaration

Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`IASTNode.CopyStyle`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final ASTNodeProperty`
`DECL_SPECIFIER`
`DECL_SPECIFIER` represents the relationship between an `IASTParameterDeclaration` and its nested `IASTDeclSpecifier`.
`static final ASTNodeProperty`
`DECLARATOR`
`DECLARATOR` represents the relationship between an `IASTParameterDeclaration` and its nested `IASTDeclarator`.
`static final IASTParameterDeclaration[]`
`EMPTY_PARAMETERDECLARATION_ARRAY`
Constant/sentinel.

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`EMPTY_NODE_ARRAY`

## Method Summary

Modifier and Type
Method
Description
`IASTParameterDeclaration`
`copy()`
Returns a mutable copy of the tree rooted at this node.
`IASTParameterDeclaration`
`copy(IASTNode.CopyStyle style)`
Returns a mutable copy of the tree rooted at this node.
`IASTDeclarator`
`getDeclarator()`
Returns the declarator.
`IASTDeclSpecifier`
`getDeclSpecifier()`
Returns the decl specifier.
`void`
`setDeclarator(IASTDeclarator declarator)`
Sets the declarator.
`void`
`setDeclSpecifier(IASTDeclSpecifier declSpec)`
Sets the decl specifier.

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`accept, contains, getChildren, getContainingFilename, getFileLocation, getLeadingSyntax, getNodeLocations, getOriginalNode, getParent, getPropertyInParent, getRawSignature, getSyntax, getTrailingSyntax, getTranslationUnit, isActive, isFrozen, isPartOfTranslationUnitFile, setParent, setPropertyInParent`

## Field Details

### EMPTY_PARAMETERDECLARATION_ARRAY

static final IASTParameterDeclaration[] EMPTY_PARAMETERDECLARATION_ARRAY
Constant/sentinel.

### DECL_SPECIFIER

static final ASTNodeProperty DECL_SPECIFIER
`DECL_SPECIFIER` represents the relationship between an `IASTParameterDeclaration` and its nested `IASTDeclSpecifier`.

### DECLARATOR

static final ASTNodeProperty DECLARATOR
`DECLARATOR` represents the relationship between an `IASTParameterDeclaration` and its nested `IASTDeclarator`.

## Method Details

### getDeclSpecifier

IASTDeclSpecifier getDeclSpecifier()
Returns the decl specifier.

Returns:
  `IASTDeclSpecifier`

### getDeclarator

IASTDeclarator getDeclarator()
Returns the declarator.

Returns:
  `IASTDeclarator`

### setDeclSpecifier

void setDeclSpecifier(IASTDeclSpecifier declSpec)
Sets the decl specifier.

Parameters:
  `declSpec` - `IASTDeclSpecifier`.

### setDeclarator

void setDeclarator(IASTDeclarator declarator)
Sets the declarator.

Parameters:
  `declarator` - `IASTDeclarator`

### copy

IASTParameterDeclaration copy()
Description copied from interface: `IASTNode`
Returns a mutable copy of the tree rooted at this node. The following postconditions hold:

     copy.getParent() == null
     copy.getPropertyInParent() == null
     copy.isFrozen() == false

Preprocessor nodes do not currently support being copied. Implicit name nodes are not copied, instead they can be regenerated if required.

Calling this method is equivalent to `copy(CopyStyle.withoutLocations)`.

Specified by:
  `copy` in interface `IASTNode`
Since:
  5.1

### copy

IASTParameterDeclaration copy(IASTNode.CopyStyle style)
Description copied from interface: `IASTNode`
Returns a mutable copy of the tree rooted at this node. The following postconditions hold:

     copy.getParent() == null
     copy.getPropertyInParent() == null
     copy.isFrozen() == false

Preprocessor nodes do not currently support being copied. Implicit name nodes are not copied, instead they can be regenerated if required.

Specified by:
  `copy` in interface `IASTNode`
Parameters:
  `style` - `IASTNode.CopyStyle` create a copy with or without locations. Please see `IASTNode.CopyStyle` for restrictions on copies with Locations.
Since:
  5.3